%define svnrev	svn2102
%define rel	5

Name:           ioquake3
Version:        1.36
#Release:        %mkrel 7 -c %{svnrev}
Release:        %mkrel 11.%{svnrev}.%{rel}
Summary:        Quake 3 Arena engine (ioquake3 version)
Group:          Games/Shooter
License:        GPLv2+
URL:            http://ioquake3.org/
# to regenerate (note included systemlib copies are removed for size, lcc
# is removed as it is not Free software):
# svn co svn://svn.icculus.org/quake3/tags/%{version} %{name}-%{version}
# pushd %{name}-%{version}
# rm -fr `find -name .svn` code/AL code/SDL12 code/libcurl code/libs
# rm -fr code/jpeg-8c code/zlib code/libspeex code/tools/lcc
# popd
# tar cvfj %{name}-%{version}.tar.bz2 %{name}-%{version}
Source0:        %{name}-%{version}-svn2102.tar.bz2
Source1:        %{name}-demo.sh
Source2:        %{name}.autodlrc
Source3:        %{name}.desktop
Source4:        %{name}.png
Source5:        %{name}-update.sh
Source6:        %{name}-update.autodlrc
#commented out because builds ok without them, just want to test it more 
#to be sure they're not needed anymore
#Source7:       jpeg_memsrc.h
#Source8:       jpeg_memsrc.c
Patch1:         quake3-1.34-rc4-demo-pak.patch
# patches from Debian for openarena compatibility (increase some buffer sizes)
Patch2:         0011-Double-the-maximum-number-of-cvars.patch
Patch3:         0012-Increase-the-command-buffer-from-16K-to-128K-followi.patch
# big-endian build fix
Patch4:         quake3-1.36-build.patch
BuildRequires:  SDL-devel 
BuildRequires:  libxt-devel 
BuildRequires:  openal-soft-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  speex-devel 
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  libvorbis-devel 
BuildRequires:  curl-devel 
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
%ifarch %{ix86} x86_64
BuildRequires:  nasm
%endif
# for quake3-update
Requires:       autodownloader 

%description
This package contains the enhanced opensource ioquake3 version of the Quake 3
Arena engine. This engine can be used to play a number of games based on this
engine, below is an (incomplete list):

* OpenArena, Free, Open Source Quake3 like game, recommended!
  (packagename: openarena)

* Urban Terror, gratis, but not Open Source FPS best be described as a
  Hollywood tactical shooter, a downloader and installer including an
  application menu entry is available in the urbanterror package.

* World of Padman, gratis, but not Open Source Comic FPS, a downloader and
  installer including an application menu entry is available in the
  worldofpadman package.

* Smokin' Guns, gratis, but not Open Source FPS, a semi-realistic simulation of 
  the "Old West's" great atmosphere, a downloader and installer including an
  application menu entry is available in the smokinguns package.

* Quake3 Arena, the original! A downloader and installer for the gratis, but
  not Open Source demo, including an application menu entry is available in
  the quake3-demo package.
  
  If you own a copy of quake 3, you will need to copy pak0.pk3 from the
  original CD-ROM and your q3key to /usr/share/quake3/baseq3 or ~/.q3a/baseq3.
  Also copy the pak?.pk3 files from the original 1.32 Quake 3 Arena point
  release there if you have them available or run quake3-update to download
  them for you.


%package demo
Summary:        Quake 3 Arena tournament 3D shooter game demo installer
Group:          Games/Shooter
Requires:       ioquake3 = %{version}-%{release}
Requires:       opengl-games-utils 
BuildArch:      noarch

# quake3-demo used to be part of the quake3 package, make sure that people
# who have the old version with the demo included don't all of a sudden have
# the demo menu entry disappear.
#Obsoletes:      ioquake3 <= 1.34-0.4.rc4.fc9

%description demo
Quake 3 Arena tournament 3D shooter game demo installer. The Quake3 engine is
Open Source and as such is available as part of Mageia. The original Quake3
data files however are not Open Source and thus are not available as part of
Mageia. There is a gratis, but not Open Source demo available on the internet.

This package installs an application menu entry for playing the Quake3 Arena
demo. The first time you click this menu entry, it will offer to download and
install the Quake 3 demo datafiles for you.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
# Add jpeg_memsrc
#cp -p %{SOURCE7} %{SOURCE8} ./code/renderer/


%build
# the CROSS_COMPILING=1 is a hack to not build q3cc and qvm files
# since we've stripped out q3cc as this is not Free Software.
%make \
    OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing" \
    DEFAULT_BASEDIR=%{_datadir}/%{name} \
    USE_CODEC_VORBIS=1 \
    USE_LOCAL_HEADERS=0 \
    BUILD_GAME_SO=0 \
    GENERATE_DEPENDENCIES=0 \
    USE_INTERNAL_SPEEX=0 \
    USE_INTERNAL_ZLIB=0 \
    USE_INTERNAL_JPEG=0 \
    BUILD_CLIENT_SMP=1 \
    CROSS_COMPILING=1


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

install -m 755 build/release-linux-*/%{name}.* \
  $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 build/release-linux-*/%{name}-smp.* \
  $RPM_BUILD_ROOT%{_bindir}/%{name}-smp
install -m 755 build/release-linux-*/ioq3ded.* \
  $RPM_BUILD_ROOT%{_bindir}/ioq3ded
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/ioquake3-demo
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/ioquake3-update
install -p -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor mageia            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps


%files
%doc BUGS ChangeLog COPYING.txt id-readme.txt md4-readme.txt NOTTODO README
%doc TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-smp
%{_bindir}/%{name}-update
%{_bindir}/ioq3ded
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}-update.autodlrc

%files demo
%{_bindir}/%{name}-demo
%{_datadir}/%{name}/%{name}.autodlrc
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.36-11.svn2102.5.mga6
+ Revision: 960693
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 1.36-11.svn2102.4.mga6
+ Revision: 896519
- BR pkgconfig(speexdsp)

* Wed Oct 15 2014 umeabot <umeabot> 1.36-11.svn2102.3.mga5
+ Revision: 744275
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.36-11.svn2102.2.mga5
+ Revision: 680531
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 1.36-11.svn2102.1.mga5
+ Revision: 638658
- rebuild for mga5

* Wed Jan 09 2013 malo <malo> 1.36-11.svn2102.mga3
+ Revision: 343797
- updated RPM group

* Fri Nov 16 2012 juancho <juancho> 1.36-10.svn2102.mga3
+ Revision: 318404
- Change group to new Games/Shooter

* Fri Mar 02 2012 juancho <juancho> 1.36-9.svn2102.mga2
+ Revision: 216696
- Removed Suggests for urbanterror, quake3-demo and worldofpadman

* Thu Dec 08 2011 juancho <juancho> 1.36-8.svn2102.mga2
+ Revision: 178837
- Added Smokin' Guns to the description.
- Removed unneeded patch

* Wed Dec 07 2011 juancho <juancho> 1.36-7.svn2102.mga2
+ Revision: 178420
- Fixed group for ioquake3-demo
- Added missing BuildRequires: desktop-file-utils
- Fixed group
- Replaced current spec with latest from Fedora (quake3-1.36-12.svn2102.fc17) and adapted it for Mageia to be used with other ioquake3 based games.
- Replaced current spec with latest from Fedora (quake3-1.36-12.svn2102.fc17) and adapted it for Mageia to be used with other ioquake3 based games.

* Sun Apr 17 2011 stormi <stormi> 1.36-6.mga1
+ Revision: 87417
- fix RPM group

* Thu Apr 14 2011 pterjan <pterjan> 1.36-5.mga1
+ Revision: 84816
- Re-upload after upload bug

* Wed Apr 13 2011 juancho <juancho> 1.36-4.mga1
+ Revision: 84716
- Fixed format of some lines, fixed group tags, removed BuildRoot and removed remaining Authors: lines

* Wed Apr 13 2011 tv <tv> 1.36-3.mga1
+ Revision: 84650
- description != authors file

* Wed Apr 13 2011 juancho <juancho> 1.36-2.mga1
+ Revision: 84450
- imported package ioquake3


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.36-2mdv2011.0
+ Revision: 619674
- the mass rebuild of 2010.0 packages

* Mon Sep 28 2009 Juan Luis Baptiste <juancho@mandriva.org> 1.36-1mdv2010.0
+ Revision: 450586
- Patch to fix compilation issue from 1.36
- Added back TOOLS_OPTIMIZE to make options and patched code to make it compile with -Werror=format-security
- Removed a forgotten debug print message.
- Updated to 1.36.
  Removed TOOLS_OPTIMIZE from make options as expanded flags from %%{optflags} break compilation.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 05 2008 Zombie Ryushu <ryushu@mandriva.org> 1.35-0.1486.1mdv2009.1
+ Revision: 310695
- Fix Invalid Group
- Fix License Tags
- Fix OpenAL BuildRequires
- import ioquake3

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix snapshot versioning
    - Buildrequire openal-devel


* Mon Nov 10 2008 lnussel@suse.de
- update to SVN1486 in trunk
* Wed Nov  5 2008 lnussel@suse.de
- update to SVN1481 in trunk
* Fri Sep 12 2008 lnussel@suse.de
- update to SVN1470 in trunk
* Wed Sep  3 2008 lnussel@suse.de
- update to SVN1469 in trunk
* Wed Aug 20 2008 lnussel@suse.de
- update to SVN1450 in trunk
* Sat Aug  9 2008 lnussel@suse.de
- update to SVN 1443 in trunk
* Thu Jul 17 2008 lnussel@suse.de
- update to SVN 1429 in trunk
* Wed Jul 16 2008 lnussel@suse.de
- update to SVN 1427 in trunk
* Sun Jul  6 2008 lnussel@suse.de
- update to SVN 1419 in trunk
* Sun Jul  6 2008 lnussel@suse.de
- update to SVN 1413 in trunk
* Sat Jul  5 2008 lnussel@suse.de
- update to SVN 1403 in trunk
* Wed Jun 25 2008 lnussel@suse.de
- update to SVN 1398 in trunk
* Wed Jun 25 2008 lnussel@suse.de
- update to SVN 1394 in trunk
* Sun Jun  8 2008 lnussel@suse.de
- update to SVN 1382 in trunk
  * now support voice activation for voip
* Sat Jun  7 2008 lnussel@suse.de
- update to SVN 1371 in trunk
- use upstream desktop file
* Thu Jun  5 2008 lnussel@suse.de
- update to SVN 1369 in trunk
* Tue Jun  3 2008 lnussel@suse.de
- update to SVN 1363 in trunk
- includes voip support
* Sat May 31 2008 lnussel@suse.de
- update to SVN 1347 in trunk
- use dlopen for libopenal in installer build
* Wed May  7 2008 lnussel@suse.de
- update to SVN 1341 in trunk
* Sat May  3 2008 lnussel@suse.de
- update to SVN 1337 in trunk
* Mon Apr 28 2008 lnussel@suse.de
- update to SVN 1332 in trunk
  * supports stereoscopic view
* Tue Apr 22 2008 lnussel@suse.de
- update to SVN 1324 in trunk
* Tue Apr 15 2008 lnussel@suse.de
- update to SVN 1321 in trunk
* Sat Apr 12 2008 lnussel@suse.de
- update to SVN 1318 in trunk
* Thu Apr 10 2008 lnussel@suse.de
- update to SVN 1307 in trunk
* Mon Apr  7 2008 lnussel@suse.de
- update to SVN 1303 in trunk
* Sun Apr  6 2008 lnussel@suse.de
- update to SVN 1300 in trunk
* Sat Apr  5 2008 lnussel@suse.de
- update to SVN 1294 in trunk
* Sat Apr  5 2008 lnussel@suse.de
- update to SVN 1290 in trunk
  * initial ipv6 support
* Fri Mar 28 2008 lnussel@suse.de
- update to SVN 1287 in trunk
* Thu Mar 27 2008 lnussel@suse.de
- update to SVN 1286 in trunk
* Fri Mar 21 2008 lnussel@suse.de
- update to SVN 1272 in trunk
* Sun Mar  9 2008 lnussel@suse.de
- update to SVN 1270 in trunk
* Wed Jan 23 2008 lnussel@suse.de
- update to SVN 1250 in trunk
  * fixes several format string bugs
* Wed Jan  9 2008 lnussel@suse.de
- update to SVN 1248 in trunk
* Sat Dec  8 2007 lnussel@suse.de
- update to SVN 1231 in trunk
* Fri Nov 16 2007 lnussel@suse.de
- update to SVN 1212 in trunk
* Tue Oct 23 2007 lnussel@suse.de
- update to SVN 1201 in trunk
* Fri Oct  5 2007 lnussel@suse.de
- update to SVN 1189 in trunk
* Tue Sep 11 2007 lnussel@suse.de
- update to SVN 1176 in trunk
* Thu Sep  6 2007 lnussel@suse.de
- update to SVN 1166 in trunk
* Mon Aug 27 2007 lnussel@suse.de
- update to SVN 1138 in trunk
* Sun Aug 19 2007 lnussel@suse.de
- update to SVN 1126 in trunk
* Wed Jul  4 2007 lnussel@suse.de
- update to SVN 1106 in trunk
- update vm_x86_64 assembler patch
* Fri Jun 29 2007 lnussel@suse.de
- update to SVN 1103 in trunk
- add experimental vm_x86_64 assembler patch
* Fri May 11 2007 lnussel@suse.de
- update to SVN 1083 in trunk
* Tue Jan 23 2007 lnussel@suse.de
- update to SVN 1036 in trunk
- rename to ioquake3
* Fri Dec  1 2006 lnussel@suse.de
- update to SVN 996 in 1.34 branch (1.34RC3)
* Thu Oct 26 2006 lnussel@suse.de
- update to SVN 955 in 1.34 branch
  * fixes wrong use of strncat
- disable installer
* Tue Sep  5 2006 lnussel@suse.de
- update to SVN 892 (1.34RC2)
* Mon Jun  5 2006 lnussel@suse.de
- update to SVN 797
  * fixes buffer overflow in CL_ParseDownload
  * fixes ppc vm
* Mon May  8 2006 lnussel@suse.de
- update to SVN 777
  * fixes directory traversal bug (CVE-2006-2082)
* Sat May  6 2006 lnussel@suse.de
- update to SVN 772
  * fixes exploitable buffer overflow (CVE-2006-2236)
* Thu Mar  9 2006 lnussel@suse.de
- update to current SVN
  * fixes among other things SEGV on i386 without READ_IMPLIES_EXEC
* Tue Feb 21 2006 lnussel@suse.de
- update to current SVN
- add desktop file and start script
* Mon Jan 30 2006 ro@suse.de
- added Mesa-devel to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 lnussel@suse.de
- update to current SVN
  * offending EULA removed (#136922)
* Thu Dec  1 2005 lnussel@suse.de
- update to current SVN
  * quake3-setup subpackage builds installer for upstream
* Mon Nov 14 2005 lnussel@suse.de
- update to current SVN
  * with openal support
* Thu Nov  3 2005 lnussel@suse.de
- update to current SVN
* Sun Oct  9 2005 lnussel@suse.de
- update to current SVN
- add devel subpackage that contains qvm compiler and assembler
* Fri Sep  9 2005 lnussel@suse.de
- update to current SVN
  * supposed to fix soundlag
  * works on 16bit displays
* Thu Sep  1 2005 lnussel@suse.de
- update to current SVN, now with SDL sound
* Wed Aug 31 2005 lnussel@suse.de
- new package
